Tagged: ,

This topic has 5 replies, 3 voices, and was last updated 4 years, 10 months ago by nishant.chauhan.

  • Author
    Posts
  • #19753
     TJarriault
    Participant

    Hi,
    i try to deploy openam.war througth tomcat (https://backstage.forgerock.com/docs/am/5.5/quick-start-guide/#software-you-need).
    during startup, i’ve got an error on catalina.out

    INFO: validateJarFile(/usr/share/tomcat7/webapps/openam/WEB-INF/lib/juel-api-2.2.7.jar) – jar not loaded. See Servlet Spec 3.0, section 10.7.2. Offending class: javax/el/Expression.class

    Nov 29, 2017 9:59:54 PM org.apache.catalina.startup.TldConfig execute
    INFO: At least one JAR was scanned for TLDs yet contained no TLDs. Enable debug logging for this logger for a complete list of JARs that were scanned but no TLDs were found in them. Skipping unneeded JARs during scanning can improve startup time and JSP compilation time.

    Nov 29, 2017 9:59:54 PM org.apache.catalina.core.StandardContext startInternal
    SEVERE: One or more listeners failed to start. Full details will be found in the appropriate container log file
    Nov 29, 2017 9:59:54 PM org.apache.catalina.core.StandardContext startInternal
    SEVERE: Context [/openam] startup failed due to previous errors

    Nov 29, 2017 9:59:54 PM org.apache.catalina.startup.HostConfig deployWAR

    someone can help me about this issue ?

    Regards,

    #19755
     G8tekeeperSol
    Participant

    Did you try deploying this before to the /openam context?

    #19756
     TJarriault
    Participant

    Hi,
    Yes i’ve got these error, during the tomcat startup.

    Tony

    #19757
     nishant.chauhan
    Participant

    Hi T Jarriault,

    To understand the issue/error better, could you please tell me the version of below:

    1. Java (How to find (execute on terminal) : java -version) – It should JDK 8
    2. Tomcat (How to find (execute on terminal) : /path/to/tomcat/bin/version.sh) – It should be 7, 8, 8.5

    I suspect its a compatibility issue.

    Thanks
    Nishant

    #19786
     TJarriault
    Participant

    Hi Nishant,

    Thanks to your questions !! I find, i used the JAVA 7 version instead java 8, now the startup is ok.

    Many thanks for your help :)

    Tony

    #19787
     nishant.chauhan
    Participant

    Hi T Jarriault,

    Great! you are welcome.

    Thanks,
    Nishant

Viewing 6 posts - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.

©2022 ForgeRock - we provide an identity and access platform to secure every online relationship for the enterprise market, educational sector and even entire countries. Click to view our privacy policy and terms of use.

Log in with your credentials

Forgot your details?